/* menu.cpp - this file is part of PixelMerge
 *
 * Copyright (C) 2010 Pascal Giard
 *
 * Author: Pascal Giard <evilynux@gmail.com>
 *
 * This file is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This file is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Derived from the libwiigui template by Tantric (2009)
 *
 * Header for menu functions.
 */

#ifndef _MENU_H_
#define _MENU_H_

#include <ogcsys.h>

void InitGUIThreads();
void HaltGui();
void ResumeGui();
void MainMenu (int menuitem);
int WindowPrompt(const char *, const char *, const char *, const char *);
void AboutBox();

enum
{
  MENU_EXIT = -1,
  MENU_NONE,
  MENU_START,
  MENU_DIFF,
  MENU_SETTINGS,
  MENU_ADJUST_SCREEN,
  MENU_GAME
};

#endif
